import { jsxs, jsx } from "react/jsx-runtime";
import { DecorativeIcon } from "@netlify/ui";
import { AlertContents } from "../Alert/Alert.js";
import { parseProps } from "../Alert/helpers.js";
import { alertCN, iconCN, contentsCN } from "./styles.js";
const AlertSmall = ({
  id,
  variant,
  outset,
  className,
  iconClassName,
  inline,
  skipNotifyError,
  ...rest
}) => {
  const { message, state, role, icon } = parseProps(rest);
  if (!message) {
    return null;
  }
  const Component = inline ? "span" : "div";
  return /* @__PURE__ */ jsxs(
    Component,
    {
      className: alertCN({ outset, state, variant, className }),
      role,
      children: [
        /* @__PURE__ */ jsx(
          DecorativeIcon,
          {
            name: icon,
            height: 24,
            className: iconCN({ state, iconClassName })
          }
        ),
        /* @__PURE__ */ jsx(
          AlertContents,
          {
            as: Component,
            id,
            className: contentsCN,
            children: message
          }
        )
      ]
    }
  );
};
export {
  AlertSmall as default
};
//# sourceMappingURL=AlertSmall.js.map
